# GET All Fixtures

### `GET` All Fixtures

```
https://cricket.sportmonks.com/api/v2.0/fixtures
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | YES     |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                                                                                                                                                          |
| -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url.                                                                                                                                        |
| filter               | <p>Array of fields to filter on. Can be used by adding <code>\&filter\[{field you want to filter}].</code> <br>For example: <code>\&filter\[league\_id]=4.</code></p>                                                                                    |
| fields\[object]      | Only return fields you are interested in. Every type of data in the response has a resource type, like fixtures or battings. Simply add `&fields[object]=id,name,code` to your request URL. For example: `&fields[fixtures]=id&fields[battings]=active.` |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url.                                                                                                                                                    |
| page                 | The number of the page you want to browse. Can be used by adding `&page=` etc to your request url.                                                                                                                                                       |

**Filters**

`season_id` `league_id` `localteam_id` `visitorteam_id` `status` `referee_id` `round` `stage_id` `starts_between`

**Custom Filters**

On this endpoint we offer the option to use a custom date filter to get all fixtures played between 2 dates. Add `&filter[starts_between]=2019-03-03,2019-03-15` to the query string to get all games played between these 2 dates.

**Sort**

You can sort on all fields.

#### Include options

`balls` `runs` `bowling` `batting` `venue` `stage` `season` `league` `visitorteam` `localteam` `scoreboards` `firstumpire` `secondumpire` `referee` `manofseries` `manofmatch` `tosswon` `lineup`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors. &#x20;

To gain more information on the relations available for the include you can use [nested includes](https://docs.sportmonks.com/cricket/getting-started/enriching-your-response). For example you can use `batting.batsman` or `batting.bowler` or `batting.runoutby`. more option are available.

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MTeYiIp3JNsC4Lao5Nm" %}
[Enriching your response](/v2/cricket-api/getting-started/enriching-your-response.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/fixtures?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": [
        {
            "resource": "fixtures",
            "id": 3,
            "league_id": 3,
            "season_id": 6,
            "stage_id": 1755,
            "round": "2nd T20I",
            "localteam_id": 40,
            "visitorteam_id": 41,
            "starting_at": "2018-10-12T16:00:00.000000Z",
            "type": "T20I",
            "live": 0,
            "status": "Finished",
            "last_period": null,
            "note": "South Africa won by 6 wickets (with 26 balls remaining)",
            "venue_id": 96,
            "toss_won_team_id": 41,
            "winner_team_id": 40,
            "draw_noresult": null,
            "first_umpire_id": 36,
            "second_umpire_id": 127,
            "tv_umpire_id": 37,
            "referee_id": 15,
            "man_of_match_id": 80,
            "man_of_series_id": null,
            "total_overs_played": null,
            "elected": "batting",
            "super_over": false,
            "follow_on": false,
            "localteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "visitorteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "rpc_overs": null,
            "rpc_target": null,
            "weather_report": []
        },
        {
            "resource": "fixtures",
            "id": 4,
            "league_id": 3,
            "season_id": 6,
            "stage_id": 1755,
            "round": "3rd T20I",
            "localteam_id": 40,
            "visitorteam_id": 41,
            "starting_at": "2018-10-14T12:30:00.000000Z",
            "type": "T20I",
            "live": false,
            "status": "Aban.",
            "last_period": null,
            "note": "Match abandoned without a ball bowled",
            "venue_id": 92,
            "toss_won_team_id": null,
            "winner_team_id": null,
            "draw_noresult": "no-result",
            "first_umpire_id": 37,
            "second_umpire_id": 125,
            "tv_umpire_id": 36,
            "referee_id": 15,
            "man_of_match_id": null,
            "man_of_series_id": null,
            "total_overs_played": null,
            "elected": null,
            "super_over": false,
            "follow_on": false,
            "localteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "visitorteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "rpc_overs": null,
            "rpc_target": null,
            "weather_report": []
        },
        {
            "resource": "fixtures",
            "id": 216,
            "league_id": 3,
            "season_id": 6,
            "stage_id": 24,
            "round": "1st T20I",
            "localteam_id": 10,
            "visitorteam_id": 43,
            "starting_at": "2018-11-04T13:30:00.000000Z",
            "type": "T20I",
            "live": true,
            "status": "Finished",
            "last_period": null,
            "note": "India won by 5 wickets (with 13 balls remaining)",
            "venue_id": 64,
            "toss_won_team_id": 10,
            "winner_team_id": 10,
            "draw_noresult": null,
            "first_umpire_id": 57,
            "second_umpire_id": 75,
            "tv_umpire_id": 19,
            "referee_id": 77,
            "man_of_match_id": 56,
            "man_of_series_id": null,
            "total_overs_played": null,
            "elected": "bowling",
            "super_over": false,
            "follow_on": false,
            "localteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "visitorteam_dl_data": {
                "score": null,
                "overs": null,
                "wickets_out": null
            },
            "rpc_overs": null,
            "rpc_target": null,
            "weather_report": []
        },
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/fixtures/get-all-fixtures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
